Subject: Re: bug#18791: 25.0.50; Copy/Cut issue

From: "Guillaume J. Charmes" <[email-masked]>
Date: Wed, 22 Oct 2014 14:07:24 -0400

I installed via `brew install emacs --HEAD`.

```
# Kill any running emacs
$> pkill emacs
# Disable all config
$> mv ~/.emacs /tmp
# Start given command
$> \emacs -Q -nw --eval '(kill-word 1)'
> `Symbol's value as variable is void: type` # (at startup)
```

I am in terminal mode, even with `xterm-mouse-mode`. clicking on `option`
does not work.

When I do `M-x toggle-debug-on-error` and try to copy a region (C-space,
M-w) I get:

```
Debugger entered--Lisp error: (void-variable type)
  #[(&rest _args) "\301\302\303^H#\207" [type error "No method %S for %S
frame" gui-set-selection] 4](CLIPBOARD #("sfdsaf\n\ndsaf\n" 0 7 (fontified
t) 7 8 (fontified t) 8 13 (fontified t)))
  gui-set-selection(CLIPBOARD #("sfdsaf\n\ndsaf\n" 0 7 (fontified t) 7 8
(fontified t) 8 13 (fontified t)))
  gui-select-text(#("sfdsaf\n\ndsaf\n" 0 7 (fontified t) 7 8 (fontified t)
8 13 (fontified t)))
  kill-new(#("sfdsaf\n\ndsaf\n" 0 7 (fontified t) 7 8 (fontified t) 8 13
(fontified t)))
  copy-region-as-kill(25 38 1)
  kill-ring-save(25 38 1)
  funcall-interactively(kill-ring-save 25 38 1)
  call-interactively(kill-ring-save nil nil)
  command-execute(kill-ring-save)
```

-- 

Guillaume J. Charmes
about.me/guillaumecharmes
  <http://about.me/guillaumecharmes>

On Wed, Oct 22, 2014 at 1:41 PM, Glenn Morris <[email-masked]> wrote:

> Stefan Monnier wrote:
>
> >> Using `C-w` and `M-w` raise "Symbol's value as variable is void: type"
> >> error.
> >
> > Can you "Options => Enter Debugger on Error", then reproduce the
> > problem, then show us the backtrace you hopefully get?
>
> http://hydra.nixos.org/build/16396103/log/raw
>
> Try `make check', or emacs -Q -nw --eval '(kill-word 1)'.
>
> (This was on emacs-buildstatus yesterday.)
>